#Module-Specific definitions
%define mod_version 1.1
%define release 1mdk
%define mod_name mod_parmguard
%define mod_conf A18_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildRequires:  ADVX-build >= 1.2
BuildRequires:  %{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_parmguard is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_parmguard-soname_fix.diff.bz2
License:	GPL
URL:		http://www.trickytools.com/php/mod_parmguard.php
Prereq:		rpm-helper
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_parmguard is an %{ap_name} module that intercepts the HTTP
requests and validates the values of request parameters. If values
do not match the criteria, the request is rejected.

%prep

%setup -q -n %{mod_name}-%{mod_version}
%patch0 -p0 -b .soname

%build
export WANT_AUTOCONF_2_5=1
rm -f missing
libtoolize --copy --force; aclocal; autoconf; automake --add-missing

%configure2_5x \
    --with-apxs2=%{apxs}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# fix %%ADVXinstlib compat
cp -rp src/.libs .

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

# make the example/tests work... (ugly, but it works...)
perl -pi -e "s|_REPLACE_ME_|%{name}-%{version}|g" %{buildroot}%{ap_confd}/%{mod_conf}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO doc/manual/* doc/test
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Sun Sep 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.1-1mdk
- initial cooker contrib
